## org.pentaho.reporting.libraries.repository.stream
Class WrappedInputStream

    java.lang.Object
      java.io.InputStream
          org.pentaho.reporting.libraries.repository.stream.WrappedInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class WrappedInputStream

extends java.io.InputStream

Creation-Date: 13.11.2006, 17:28:24

Author:
  Thomas Morgner

Constructor Summary
`WrappedInputStream(java.io.InputStream parent)`

Method Summary
`int` `available()`
`void` `close()`
`boolean` `isClosed()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrappedInputStream

    public WrappedInputStream(java.io.InputStream parent)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### isClosed

    public boolean isClosed()

### mark

    public void mark(int readlimit)

  Overrides:
    `mark` in class `java.io.InputStream`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.InputStream`